> For the complete documentation index, see [llms.txt](https://docs.limio.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.limio.com/components/component-library/standard-components/component-block-double-renewal-dialog.md).

# Component: Block Double Renewal Dialog

**Purpose:** Use this Enforcement Component to block a renewal being applied to a subscription that has already been renewed.

{% embed url="<https://69c2cf3a42a094f3cd354b8d-cannwfeosv.chromatic.com/?path=/story/shop-components-dialogs-block-double-renewal-dialog--default&full=1&shortcuts=false&singleStory=true&embed=true>" %}

| **id**      | **label**      | **type** | **default**                                       | **purpose**                                                                                      |
| ----------- | -------------- | -------- | ------------------------------------------------- | ------------------------------------------------------------------------------------------------ |
| heading     | Heading        | string   | You've already renewed your subscription          | Message visible to customers                                                                     |
| body        | Body           | richtext | It looks like you have already your subscription. | Message visible to customers                                                                     |
| showButton  | Show a button? | boolean  | false                                             | Show a button that allows you to redirect the customer, for example to their self-service portal |
| buttonLabel | Button label   | string   | Click here                                        | Define button text                                                                               |
| buttonUrl   | Button URL     | string   | /                                                 | Define button URL                                                                                |
| componentId | Component Id   | string   | block-double-renewal-dialog-limio                 |                                                                                                  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.limio.com/components/component-library/standard-components/component-block-double-renewal-dialog.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
